depends = ('ITKPyBase', 'ITKImageGrid', )
templates = (  ('RLEImage', 'itk::RLEImage', 'itkRLEImageSS2US', True, 'signed short,2,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageUC2US', True, 'unsigned char,2,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageUS2US', True, 'unsigned short,2,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageF2US', True, 'float,2,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageD2US', True, 'double,2,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageSS3US', True, 'signed short,3,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageUC3US', True, 'unsigned char,3,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageUS3US', True, 'unsigned short,3,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageF3US', True, 'float,3,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageD3US', True, 'double,3,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageSS4US', True, 'signed short,4,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageUC4US', True, 'unsigned char,4,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageUS4US', True, 'unsigned short,4,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageF4US', True, 'float,4,unsigned short'),
  ('RLEImage', 'itk::RLEImage', 'itkRLEImageD4US', True, 'double,4,unsigned short'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageSS2US', False, 'itk::RLEImage<signed short,2,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageUC2US', False, 'itk::RLEImage<unsigned char,2,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageUS2US', False, 'itk::RLEImage<unsigned short,2,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageF2US', False, 'itk::RLEImage<float,2,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageD2US', False, 'itk::RLEImage<double,2,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageSS3US', False, 'itk::RLEImage<signed short,3,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageUC3US', False, 'itk::RLEImage<unsigned char,3,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageUS3US', False, 'itk::RLEImage<unsigned short,3,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageF3US', False, 'itk::RLEImage<float,3,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageD3US', False, 'itk::RLEImage<double,3,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageSS4US', False, 'itk::RLEImage<signed short,4,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageUC4US', False, 'itk::RLEImage<unsigned char,4,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageUS4US', False, 'itk::RLEImage<unsigned short,4,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageF4US', False, 'itk::RLEImage<float,4,unsigned short>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceRLEImageD4US', False, 'itk::RLEImage<double,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageSS2USRLEImageSS2US', False, 'itk::RLEImage<signed short,2,unsigned short>,itk::RLEImage<signed short,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageSS2USISS2', False, 'itk::RLEImage<signed short,2,unsigned short>,itk::Image<signed short,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2RLEImageSS2US', False, 'itk::Image<signed short,2>,itk::RLEImage<signed short,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUC2USRLEImageUC2US', False, 'itk::RLEImage<unsigned char,2,unsigned short>,itk::RLEImage<unsigned char,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUC2USIUC2', False, 'itk::RLEImage<unsigned char,2,unsigned short>,itk::Image<unsigned char,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2RLEImageUC2US', False, 'itk::Image<unsigned char,2>,itk::RLEImage<unsigned char,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUS2USRLEImageUS2US', False, 'itk::RLEImage<unsigned short,2,unsigned short>,itk::RLEImage<unsigned short,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUS2USIUS2', False, 'itk::RLEImage<unsigned short,2,unsigned short>,itk::Image<unsigned short,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2RLEImageUS2US', False, 'itk::Image<unsigned short,2>,itk::RLEImage<unsigned short,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageF2USRLEImageF2US', False, 'itk::RLEImage<float,2,unsigned short>,itk::RLEImage<float,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageF2USIF2', False, 'itk::RLEImage<float,2,unsigned short>,itk::Image<float,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2RLEImageF2US', False, 'itk::Image<float,2>,itk::RLEImage<float,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageD2USRLEImageD2US', False, 'itk::RLEImage<double,2,unsigned short>,itk::RLEImage<double,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageD2USID2', False, 'itk::RLEImage<double,2,unsigned short>,itk::Image<double,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2RLEImageD2US', False, 'itk::Image<double,2>,itk::RLEImage<double,2,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageSS3USRLEImageSS3US', False, 'itk::RLEImage<signed short,3,unsigned short>,itk::RLEImage<signed short,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageSS3USISS3', False, 'itk::RLEImage<signed short,3,unsigned short>,itk::Image<signed short,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3RLEImageSS3US', False, 'itk::Image<signed short,3>,itk::RLEImage<signed short,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUC3USRLEImageUC3US', False, 'itk::RLEImage<unsigned char,3,unsigned short>,itk::RLEImage<unsigned char,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUC3USIUC3', False, 'itk::RLEImage<unsigned char,3,unsigned short>,itk::Image<unsigned char,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3RLEImageUC3US', False, 'itk::Image<unsigned char,3>,itk::RLEImage<unsigned char,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUS3USRLEImageUS3US', False, 'itk::RLEImage<unsigned short,3,unsigned short>,itk::RLEImage<unsigned short,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUS3USIUS3', False, 'itk::RLEImage<unsigned short,3,unsigned short>,itk::Image<unsigned short,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3RLEImageUS3US', False, 'itk::Image<unsigned short,3>,itk::RLEImage<unsigned short,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageF3USRLEImageF3US', False, 'itk::RLEImage<float,3,unsigned short>,itk::RLEImage<float,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageF3USIF3', False, 'itk::RLEImage<float,3,unsigned short>,itk::Image<float,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3RLEImageF3US', False, 'itk::Image<float,3>,itk::RLEImage<float,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageD3USRLEImageD3US', False, 'itk::RLEImage<double,3,unsigned short>,itk::RLEImage<double,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageD3USID3', False, 'itk::RLEImage<double,3,unsigned short>,itk::Image<double,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3RLEImageD3US', False, 'itk::Image<double,3>,itk::RLEImage<double,3,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageSS4USRLEImageSS4US', False, 'itk::RLEImage<signed short,4,unsigned short>,itk::RLEImage<signed short,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageSS4USISS4', False, 'itk::RLEImage<signed short,4,unsigned short>,itk::Image<signed short,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS4RLEImageSS4US', False, 'itk::Image<signed short,4>,itk::RLEImage<signed short,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUC4USRLEImageUC4US', False, 'itk::RLEImage<unsigned char,4,unsigned short>,itk::RLEImage<unsigned char,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUC4USIUC4', False, 'itk::RLEImage<unsigned char,4,unsigned short>,itk::Image<unsigned char,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC4RLEImageUC4US', False, 'itk::Image<unsigned char,4>,itk::RLEImage<unsigned char,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUS4USRLEImageUS4US', False, 'itk::RLEImage<unsigned short,4,unsigned short>,itk::RLEImage<unsigned short,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageUS4USIUS4', False, 'itk::RLEImage<unsigned short,4,unsigned short>,itk::Image<unsigned short,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS4RLEImageUS4US', False, 'itk::Image<unsigned short,4>,itk::RLEImage<unsigned short,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageF4USRLEImageF4US', False, 'itk::RLEImage<float,4,unsigned short>,itk::RLEImage<float,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageF4USIF4', False, 'itk::RLEImage<float,4,unsigned short>,itk::Image<float,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4RLEImageF4US', False, 'itk::Image<float,4>,itk::RLEImage<float,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageD4USRLEImageD4US', False, 'itk::RLEImage<double,4,unsigned short>,itk::RLEImage<double,4,unsigned short>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterRLEImageD4USID4', False, 'itk::RLEImage<double,4,unsigned short>,itk::Image<double,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID4RLEImageD4US', False, 'itk::Image<double,4>,itk::RLEImage<double,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageSS2USRLEImageSS2US', False, 'itk::RLEImage<signed short,2,unsigned short>,itk::RLEImage<signed short,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageSS2USISS2', False, 'itk::RLEImage<signed short,2,unsigned short>,itk::Image<signed short,2>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterISS2RLEImageSS2US', False, 'itk::Image<signed short,2>,itk::RLEImage<signed short,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUC2USRLEImageUC2US', False, 'itk::RLEImage<unsigned char,2,unsigned short>,itk::RLEImage<unsigned char,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUC2USIUC2', False, 'itk::RLEImage<unsigned char,2,unsigned short>,itk::Image<unsigned char,2>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUC2RLEImageUC2US', False, 'itk::Image<unsigned char,2>,itk::RLEImage<unsigned char,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUS2USRLEImageUS2US', False, 'itk::RLEImage<unsigned short,2,unsigned short>,itk::RLEImage<unsigned short,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUS2USIUS2', False, 'itk::RLEImage<unsigned short,2,unsigned short>,itk::Image<unsigned short,2>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUS2RLEImageUS2US', False, 'itk::Image<unsigned short,2>,itk::RLEImage<unsigned short,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageF2USRLEImageF2US', False, 'itk::RLEImage<float,2,unsigned short>,itk::RLEImage<float,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageF2USIF2', False, 'itk::RLEImage<float,2,unsigned short>,itk::Image<float,2>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIF2RLEImageF2US', False, 'itk::Image<float,2>,itk::RLEImage<float,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageD2USRLEImageD2US', False, 'itk::RLEImage<double,2,unsigned short>,itk::RLEImage<double,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageD2USID2', False, 'itk::RLEImage<double,2,unsigned short>,itk::Image<double,2>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterID2RLEImageD2US', False, 'itk::Image<double,2>,itk::RLEImage<double,2,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageSS3USRLEImageSS3US', False, 'itk::RLEImage<signed short,3,unsigned short>,itk::RLEImage<signed short,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageSS3USISS3', False, 'itk::RLEImage<signed short,3,unsigned short>,itk::Image<signed short,3>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterISS3RLEImageSS3US', False, 'itk::Image<signed short,3>,itk::RLEImage<signed short,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUC3USRLEImageUC3US', False, 'itk::RLEImage<unsigned char,3,unsigned short>,itk::RLEImage<unsigned char,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUC3USIUC3', False, 'itk::RLEImage<unsigned char,3,unsigned short>,itk::Image<unsigned char,3>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUC3RLEImageUC3US', False, 'itk::Image<unsigned char,3>,itk::RLEImage<unsigned char,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUS3USRLEImageUS3US', False, 'itk::RLEImage<unsigned short,3,unsigned short>,itk::RLEImage<unsigned short,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUS3USIUS3', False, 'itk::RLEImage<unsigned short,3,unsigned short>,itk::Image<unsigned short,3>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUS3RLEImageUS3US', False, 'itk::Image<unsigned short,3>,itk::RLEImage<unsigned short,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageF3USRLEImageF3US', False, 'itk::RLEImage<float,3,unsigned short>,itk::RLEImage<float,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageF3USIF3', False, 'itk::RLEImage<float,3,unsigned short>,itk::Image<float,3>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIF3RLEImageF3US', False, 'itk::Image<float,3>,itk::RLEImage<float,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageD3USRLEImageD3US', False, 'itk::RLEImage<double,3,unsigned short>,itk::RLEImage<double,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageD3USID3', False, 'itk::RLEImage<double,3,unsigned short>,itk::Image<double,3>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterID3RLEImageD3US', False, 'itk::Image<double,3>,itk::RLEImage<double,3,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageSS4USRLEImageSS4US', False, 'itk::RLEImage<signed short,4,unsigned short>,itk::RLEImage<signed short,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageSS4USISS4', False, 'itk::RLEImage<signed short,4,unsigned short>,itk::Image<signed short,4>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterISS4RLEImageSS4US', False, 'itk::Image<signed short,4>,itk::RLEImage<signed short,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUC4USRLEImageUC4US', False, 'itk::RLEImage<unsigned char,4,unsigned short>,itk::RLEImage<unsigned char,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUC4USIUC4', False, 'itk::RLEImage<unsigned char,4,unsigned short>,itk::Image<unsigned char,4>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUC4RLEImageUC4US', False, 'itk::Image<unsigned char,4>,itk::RLEImage<unsigned char,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUS4USRLEImageUS4US', False, 'itk::RLEImage<unsigned short,4,unsigned short>,itk::RLEImage<unsigned short,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageUS4USIUS4', False, 'itk::RLEImage<unsigned short,4,unsigned short>,itk::Image<unsigned short,4>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUS4RLEImageUS4US', False, 'itk::Image<unsigned short,4>,itk::RLEImage<unsigned short,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageF4USRLEImageF4US', False, 'itk::RLEImage<float,4,unsigned short>,itk::RLEImage<float,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageF4USIF4', False, 'itk::RLEImage<float,4,unsigned short>,itk::Image<float,4>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIF4RLEImageF4US', False, 'itk::Image<float,4>,itk::RLEImage<float,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageD4USRLEImageD4US', False, 'itk::RLEImage<double,4,unsigned short>,itk::RLEImage<double,4,unsigned short>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterRLEImageD4USID4', False, 'itk::RLEImage<double,4,unsigned short>,itk::Image<double,4>'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterID4RLEImageD4US', False, 'itk::Image<double,4>,itk::RLEImage<double,4,unsigned short>'),
)
factories = ()
